<?php
/*
Copyright (c) 2012, Rich Ways LLC
All rights reserved.

ContextAzon License
http://contextazon.com

1. Terms 

By using this software, you are agreeing to be bound by these Terms and Conditions of Use, all applicable laws and regulations, and agree that you are responsible for compliance with any applicable local laws. If you do not agree with any of these terms, you are prohibited from using this software. The materials contained in this software are protected by applicable copyright and trade mark law. 

2. Use License 

a. By using ContextAzon you agree and comply to Amazon.com Product Advertising API License Agreement found here: https://affiliate-program.amazon.com/gp/advertising/api/detail/agreement.html
b. You may use the ContextAzon software for the purposes of running a website on a number of domain names as allowed by your license. 
c. You may make a reasonable number of copies for backup purposes only. 
d. You may modify the ContextAzon software as per your requirements as long as the modifications would not circumvent the licensing system. 

3. Limitations 
a. You may not use ContextAzon on any domain not wholly owned by you. 
b. You may not distribute copies of the ContextAzon software or transfer any part of it to a 3rd party. 
c. You may not rent, lease, sell, or sub-license the ContextAzon software or copies of it.
d. You may not use the software to engage in any illegal activity. 
e. You may not circumvent the licensing system in any way. 

4. Disclaimer 

The materials on ContextAzon's website and the ContextAzon software are provided "as is". ContextAzon makes no warranties, expressed or implied, and hereby disclaims and negates all other warranties, including without limitation, implied warranties or conditions of merchantability, fitness for a particular purpose, or non-infringement of intellectual property or other violation of rights. Further, ContextAzon does not warrant or make any representations concerning the accuracy, likely results, or reliability of the use of the materials on its Internet web site or otherwise relating to such materials or on any sites linked to this site. 

5. Revisions and Errata 

The materials appearing on ContextAzon's web site could include technical, typographical, or photographic errors. ContextAzon does not warrant that any of the materials on its web site are accurate, complete, or current. ContextAzon may make changes to the materials contained on its web site at any time without notice. ContextAzon does not, however, make any commitment to update the materials. 

6. Links 

ContextAzon has not reviewed all of the sites linked to its Internet web site and is not responsible for the contents of any such linked site. The inclusion of any link does not imply endorsement by ContextAzon of the site. Use of any such linked web site is at the user's own risk. 

7. Site Terms of Use Modifications 

ContextAzon may revise these terms of use for its web site at any time without notice. By using this web site you are agreeing to be bound by the then current version of these Terms and Conditions of Use. 

8. Governing Law 

Any claim relating to ContextAzon's web site shall be governed by the laws of the State of Wisconsin (USA) without regard to its conflict of law provisions. 
*/


$post_id = '';
if (isset($_GET['post_id']) && is_numeric($_GET['post_id']))
{
	$post_id = strip_tags($_GET['post_id']);
	//echo 'var post_id = "'.$post_id.'";';
}
?>

var posX;
var posY;
var xdiff;
var ydiff;
var xold;
var yold;
var am_loaded = false;
var advads171_fired = false;
var advads171_audio_loaded = false;

var advads171_StopPop = false;
function advads171_trapped_trigger(e) {
	if(advads171_StopPop == false){
	  var message = advAds171Params.advads171_trapped_trigger_msg,
	  e = e || window.event;
			
	  bind_advads171_click();
		style_advads171_pop();
		jQuery("#am_popbox").css('display', 'block');
		jQuery('#advads171_am_trigger').hide();
		advads171_fired = true;
		align_product_images();
		register_pop(advAds171Params.post_id);
	  // For IE and Firefox
	  if (e) {
	  alert(message);
		e.returnValue = message;
	  }
		
	  // For Safari
	  return message;
	}
};

jQuery(document).ready(function(){
	//fix sensor height
	jQuery('#advads171_am_trigger').css('height', advAds171Params.sensor_height + 'px');
	jQuery('#advads171_am_trigger img').css('height', advAds171Params.sensor_height + 'px');
	
	jQuery('#am_interior').css('width', advAds171Params.advads171_pop_width + 'px');
	jQuery('#am_interior').css('height', advAds171Params.advads171_pop_height + 'px');
	jQuery('#am_interior').css('border-width', advAds171Params.advads171_border_width + 'px');
	jQuery('#am_interior').css('border-style', advAds171Params.advads171_border_type);
	jQuery('#am_interior').css('border-color', advAds171Params.advads171_border_color);
	
	if (advAds171Params.advads171_mouse_trigger_disabled != 1)
	{
		jQuery('#advads171_am_trigger').mouseover(function() {			
				
			if (am_loaded && advads171_fired == false && is_advads171_loaded())
			{
				style_advads171_pop();
				jQuery("#am_popbox").fadeIn(200, function () {
					align_product_images();
					bind_advads171_click();
					register_pop(advAds171Params.post_id);
					if (window.advads171_play_audio) advads171_play_audio();
				});
				jQuery('#advads171_am_trigger').hide();
				advads171_fired = true;
			}
		});
	}
			
	jQuery(".close").click(function(){
		jQuery("#am_popbox").hide();
	});
	
	var extra_uri = '';
	if (advAds171Params.advads171_is_virtual == 'yes')
	{
		extra_uri = extra_uri + '&is_virtual=yes&s=' + advAds171Params.s;
	}
	//jQuery("#am_interior").load("<?=advads171_site_url('wp-content/plugins/advads171/ampop_results.php?post_id=');?>" + advAds171Params.post_id + '&tpl=' + advAds171Params.advads171_tpl_key + extra_uri, { }, function () {
	var data_to_post = {load:1};
	var products_url = "<?=advads171_site_url('wp-content/plugins/advads171/ampop_results.php?post_id=');?>" + advAds171Params.post_id + '&tpl=' + advAds171Params.advads171_tpl_key + extra_uri;
	if (advAds171Params.advads171_source == 1)
	{
		products_url = "<?=advads171_site_url('wp-content/plugins/advads171/epnpop_results.php?post_id=');?>" + advAds171Params.post_id + '&tpl=' + advAds171Params.advads171_tpl_key + extra_uri;
	}
	
	if (advAds171Params.advads171_source != 999)
	{
		jQuery.ajax({
			  url: products_url,
			  type: "POST",
			  data:  data_to_post,
			  success: function(data) {
				//var obj = jQuery.parseJSON(data);
				var obj = JSON.parse(data);
				var pop_html = obj.html;
				jQuery("#am_interior").html(pop_html);
				
				if (obj.jscripts != undefined && obj.jscripts.length > 0)
				{
					jQuery("#advads171_js_content").html("<iframe src=\""+ obj.jscripts +"\" style='border: 0px; width: "+ advAds171Params.advads171_pop_width +"px; height: " + (advAds171Params.advads171_pop_height - 80) + "px;' width='" + advAds171Params.advads171_pop_width + "' height='" + (advAds171Params.advads171_pop_height - 80) + "' scrolling='no' border='0'></iframe>");
				}
		am_loaded = true;
	
	
	if (advAds171Params.unbounce_enabled == 'yes')
	{
		setTimeout('advads171_force_pop()', (advAds171Params.unbounce_delay * 1000));
	}
	
	
	if (advAds171Params.advads171_trapped_trigger_enabled == '1' && is_advads171_loaded())
	{
	window.onbeforeunload = advads171_trapped_trigger;
	}
	}
	});
	
	}
	
	//disable links
	var a = document.getElementsByTagName('A'); 
	for (var i = 0; i < a.length; i++) { 
	advads171_addClickEvent(a,i, function(){ advads171_StopPop=true; });
	}
	//disable form submit
	var f = document.getElementsByTagName('FORM'); 
	for (var i=0;i<f.length;i++){ if (!f[i].onclick){ f[i].onclick=function(){ advads171_StopPop=true; } }else if (!f[i].onsubmit){ f[i].onsubmit=function(){ advads171_StopPop=true; }}}
});

function advads171_addClickEvent(a,i,func) { if (typeof a[i].onclick != 'function') { a[i].onclick = func; } }

function pbox_close()
{
	jQuery("#am_popbox").hide();
}

function advads171_force_pop()
{
	if (am_loaded && advads171_fired == false && is_advads171_loaded())
	{
		bind_advads171_click();
		style_advads171_pop();
		jQuery("#am_popbox").fadeIn(1000);
		jQuery('#advads171_am_trigger').hide();
		advads171_fired = true;
		align_product_images();
		register_pop(advAds171Params.post_id);
		if (window.advads171_play_audio) advads171_play_audio();
	}
}

function style_advads171_pop()
{
	jQuery('.prod_img_link_epn img').css('visibility', 'hidden');
		
	jQuery('.pop_title_advads').html(advAds171Params.advads171_message);
	jQuery('.pop_title_advads').css('font-size', advAds171Params.advads171_message_fontsize + 'px');
	jQuery('.pop_title_advads').css('min-height', advAds171Params.advads171_message_fontsize + 'px');
	jQuery('.pop_title_advads').css('color', advAds171Params.advads171_message_color);
	
	if (advAds171Params.advads171_branding == 'no')
	{
		jQuery('.advads171_poweredby').css('display', 'none');
	}
	if (advAds171Params.advads171_close_btn == 'xbtn')
	{
		jQuery('.am_close_btn_advads').css('display', 'block');
		jQuery('.am_close_txt').css('display', 'none');
	}
	else
	{
		
		jQuery('.am_close_txt').css('display', 'block');
		jQuery('.am_close_btn_advads').css('display', 'none');
	}
	
	if (advAds171Params.advads171_tpl == 'tpl_am3across' || advAds171Params.advads171_tpl == 'tpl_am1product')
	{
		if (((jQuery('.amzn_buy_now_advads171_text').length > 0 || jQuery('.amzn_buy_now_large_advads171_text').length > 0) && advAds171Params.advads171_amzn_button_img != '' && advAds171Params.advads171_amzn_button_img != ' ') || ((jQuery('.epn_buy_now_advads171_text').length > 0 || jQuery('.epn_buy_now_large_advads171_text').length > 0) && advAds171Params.advads171_epn_button_img != '' && advAds171Params.advads171_epn_button_img != ' ') || ((jQuery('.epn_bid_now_advads171_text').length > 0 || jQuery('.epn_bid_now_large_advads171_text').length > 0) && advAds171Params.advads171_epn_bid_button_img != '' && advAds171Params.advads171_epn_bid_button_img != ' '))
		{
			jQuery('.amzn_buy_now_advads171_text, .amzn_buy_now_large_advads171_text').html('<img src="' + advAds171Params.advads171_amzn_button_img + '" />').addClass('advads171_image_button_link');
			jQuery('.epn_buy_now_advads171_text, .epn_buy_now_large_advads171_text').html('<img src="' + advAds171Params.advads171_epn_button_img + '" />').addClass('advads171_image_button_link');
			jQuery('.epn_bid_now_advads171_text, .epn_bid_now_large_advads171_text').html('<img src="' + advAds171Params.advads171_epn_bid_button_img + '" />').addClass('advads171_image_button_link');
		}
		else
		{
			jQuery('.buy_now_advads171_text, .buy_now_large_advads171_text').removeClass('advads171_image_button_link');
			jQuery('.buy_now_advads171_text, .buy_now_large_advads171_text').text(advAds171Params.advads171_button_text);
			//button css
			jQuery('.buy_now_advads, .buy_now_large_advads').css('color', advAds171Params.advads171_button_text_color);
			jQuery('.buy_now_advads, .buy_now_large_advads').css('background-color', advAds171Params.advads171_button_color_bottom);
			jQuery('.buy_now_advads, .buy_now_large_advads').css('background', advAds171Params.advads171_button_color_bottom);
			if (jQuery.browser.mozilla && jQuery.browser.version > 3.5)
			{
				jQuery('.buy_now_advads, .buy_now_large_advads').css('background', '-moz-linear-gradient(top,  '+ advAds171Params.advads171_button_color_top +' 1%, '+ advAds171Params.advads171_button_color_middle+' 50%, '+advAds171Params.advads171_button_color_middle+' 52%, '+advAds171Params.advads171_button_color_bottom+' 100%)');
			}
			else if (jQuery.browser.opera && jQuery.browser.version > 11.1)
			{
				jQuery('.buy_now_advads, .buy_now_large_advads').css('background', '-o-linear-gradient(top,  '+ advAds171Params.advads171_button_color_top+' 1%,'+ advAds171Params.advads171_button_color_middle+' 50%,'+advAds171Params.advads171_button_color_middle+' 52%,'+advAds171Params.advads171_button_color_bottom+' 100%)');
			}
			else if ((jQuery.browser.chrome && jQuery.browser.version < 10) || (jQuery.browser.safari && (jQuery.browser.version < 5.1 && jQuery.browser.version > 3.9)))
			{
				jQuery('.buy_now_advads, .buy_now_large_advads').css('background', '-webkit-gradient(linear, left top, left bottom, color-stop(1%,'+ advAds171Params.advads171_button_color_top+'), color-stop(50%,'+ advAds171Params.advads171_button_color_middle+'), color-stop(52%,'+ advAds171Params.advads171_button_color_middle +'), color-stop(100%,'+ advAds171Params.advads171_button_color_bottom +'))');
			}
			else if ((jQuery.browser.chrome && jQuery.browser.version > 9.9) || (jQuery.browser.safari &&  jQuery.browser.version > 5) || jQuery.browser.webkit)
			{
				jQuery('.buy_now_advads, .buy_now_large_advads').css('background', '-webkit-linear-gradient(top,  '+ advAds171Params.advads171_button_color_top +' 1%,'+ advAds171Params.advads171_button_color_middle +' 50%,'+ advAds171Params.advads171_button_color_middle +' 52%,'+ advAds171Params.advads171_button_color_bottom +' 100%)');
			}
			else if ((jQuery.browser.msie && jQuery.browser.version > 9.9))
			{
				jQuery('.buy_now_advads, .buy_now_large_advads').css('background', '-ms-linear-gradient(top,  '+ advAds171Params.advads171_button_color_top +' 1%,'+ advAds171Params.advads171_button_color_middle +' 50%,'+ advAds171Params.advads171_button_color_middle +' 52%,'+ advAds171Params.advads171_button_color_bottom +' 100%)');
			}
			else if ((jQuery.browser.msie && jQuery.browser.version > 5.9 && jQuery.browser.version < 10))
			{
				jQuery('.buy_now_advads, .buy_now_large_advads').css('filter', 'progid:DXImageTransform.Microsoft.gradient( startColorstr=\''+ advAds171Params.advads171_button_color_top +'\', endColorstr=\''+ advAds171Params.advads171_button_color_bottom +'\',GradientType=0 )');
			}
			else
			{
				jQuery('.buy_now_advads, .buy_now_large_advads').css('background', 'linear-gradient(top,  '+ advAds171Params.advads171_button_color_top +' 1%,'+ advAds171Params.advads171_button_color_middle +' 50%,'+ advAds171Params.advads171_button_color_middle+' 52%,'+ advAds171Params.advads171_button_color_bottom +' 100%)');
			}
		}
	}
}


var advads171_animation_count = 0;
function advads171_animate_msg_step()
{
	advads171_animation_count = advads171_animation_count + 1;
	if (advads171_animation_count < 5)
	{
		jQuery('.pop_title_advads').animate({opacity:.1},300).animate({opacity:1},200, function () { advads171_animate_msg_step(); });
	}
}

function register_pop(post_id)
{
	if (advAds171Params.advads171_message_flash == '1')
	{
		advads171_animation_count = 0;
		advads171_animate_msg_step();
	}
	
	var advads171_asin_arr = new Array();
	jQuery('#am_interior .prod_title_advads a').each(function() {
		advads171_asin_arr.push(jQuery(this).attr('am_asin'));
	});
	jQuery('#am_interior .prod_title_advads171_stats a').each(function() {
		advads171_asin_arr.push(jQuery(this).attr('am_asin'));
	});

	jQuery.ajax({type: 'POST', url: '<?=advads171_site_url("wp-content/plugins/advads171/collect_stats.php");?>', data: {post_id: post_id, msg_key: advAds171Params.advads171_message_key, tpl_key:advAds171Params.advads171_tpl_key, asins:advads171_asin_arr.join(','), source:advAds171Params.advads171_source}});
}

function bind_advads171_click()
{
	jQuery('.advads171_ext_link').click( function ()
	{
		jQuery.ajax({type: 'POST', url: '<?=advads171_site_url("wp-content/plugins/advads171/collect_stats.php");?>', data: {advads171_collect_type: 'click', post_id: advAds171Params.post_id, msg_key: advAds171Params.advads171_message_key, tpl_key:advAds171Params.advads171_tpl_key, asin: jQuery(this).attr('am_asin')}});
	});
	if (advAds171Params.advads171_track_links == 1)
	{
		jQuery('.advads171_custom_html_wrap a').click( function ()
		{
			jQuery.ajax({type: 'POST', url: '<?=advads171_site_url("wp-content/plugins/advads171/collect_stats.php");?>', data: {advads171_collect_type: 'click', post_id: advAds171Params.post_id, msg_key: advAds171Params.advads171_message_key, tpl_key:advAds171Params.advads171_tpl_key}});
		});
	}
	if (advAds171Params.advads171_track_submits == 1)
	{
		jQuery('.advads171_custom_html_wrap form').submit( function ()
		{
			jQuery.ajax({type: 'POST', url: '<?=advads171_site_url("wp-content/plugins/advads171/collect_stats.php");?>', data: {advads171_collect_type: 'click', post_id: advAds171Params.post_id, msg_key: advAds171Params.advads171_message_key, tpl_key:advAds171Params.advads171_tpl_key}});
		});
	}
}

function align_product_images()
{
	if (jQuery('.prod_img_link_epn').length > 0)
	{
		jQuery('.prod_img_link_epn img').each(function() {
			var img_height = jQuery(this).height();
			if (img_height == 0 || img_height == undefined)
			{
				img_height = 140;
			}
			if (jQuery(this).hasClass('epn_image_oneprod'))
			{
				var margin_top = Math.floor((270 - img_height) / 2);
			}
			else
			{
				var margin_top = Math.floor((190 - img_height) / 2);
			}
			jQuery(this).css('margin-top', margin_top);
		});
	}
	jQuery('.prod_img_link_epn img').css('visibility', 'visible');
}

function is_advads171_loaded()
{
	var am_interior_html = jQuery("#am_interior").html();	
	if (am_interior_html == 'error' || am_interior_html == '<p></p>' || am_interior_html == '' || jQuery('#am_interior .pop_title_advads').length == 0)
	{
		return false;
	}
	else
	{
		return true;
	}
}

<?php

function advads171_site_url($url)
{
	global $post_id;
	$host = $_SERVER['HTTP_HOST'];
	$self_arr = explode('?', $_SERVER['REQUEST_URI']);
	$self = $self_arr[0];
	$slash_dir = str_replace('wp-content/plugins/advads171/am_pop_load.php', '', $self);
	$http = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on' ? 'https://':'http://');
	return $http.$host.$slash_dir.$url;
}