var advads_show_log = false;
var advads_debug = true;

(function($) {
	$.fn.advads_banner = function(options) {
		var opts = $.extend({}, $.fn.advads_banner.defaults, options);
		return this.each(function() {
			$this 				= $(this);
			var o 				= $.meta ? $.extend({}, opts, $this.data()) : opts;
			var banner_width 	= $this.width();
			//the areas
			var $areas			= $this.find('.ca_zone');
			//no step for now
			var step 			= 0;
			//change step from o.speed in o.speed seconds
			if(o.steps.length > 0)
			setInterval(function(){
				++step;
				//from last jump to first
				if(step > o.total_steps) step = 1;
				
				$areas.each(function(){
					var $area 		= $(this);
					var idx			= $area.index();
					
					var remember_width = new Array();
					//the element where the images are located for this area
					var $wrap		= $area.find('.ca_wrap');
					//current shown image
					var $current	= $wrap.find('.advads_ind_cell:visible');
					var current_idx = $current.index();
					var config		= o.steps[step-1][idx];
					//the next image position
					var next_idx 	= config[0].to;
					//the effect to use
					var effect		= config[1].effect;
					//if it's a different image than the current one:
					if(parseInt(current_idx+1) != next_idx){
						//next element to appear
						var $next 	= $wrap.find('.advads_ind_cell:nth-child('+ next_idx +')');
						$next.css({'width':'100%','height':'100%'});
						//which effect to use?
						switch(effect){
							case 'zoomOut-zoomInRotated':
								if (advads171_freeze == false)
								{	
									$next.css({'width':'0px','height':'0px'}).show();
									$current.stop().animate({'width':'0px','height':'0px'},300,function(){
										$current.removeClass('ca_shown').hide();
										$next.addClass('ca_shown').stop().animate({'width':'100%','height':'100%','rotate':'1080deg'},300);
									});
								}
								break;
							case 'zoomOutRotated-zoomInRotated':
								if (advads171_freeze == false)
								{	
									
									var $curr_img = $current.find('.advads_prod_img');
									$curr_img.stop().animate({'width':'0px','height':'0px','rotate':'1080deg'},300,function(){
										$current.removeClass('ca_shown').hide();
										//$next.css({'width':'0px','height':'0px'}).show();
										var $curr_next_img = $next.find('.advads_prod_img');
										$curr_next_img.css({'width':'0px','height':'0px'}).show();
										$next.addClass('ca_shown').show();
										var orig_width = '100%';
										if ($curr_next_img.attr('data-width') !== 'undefined')
										{
											orig_width = $curr_next_img.attr('data-width');
										}
										var orig_top_margin = '0';
										var orig_height = '100%';
										if ($curr_next_img.attr('data-height') !== 'undefined')
										{
											var max_height = 160;
											if (o.banner_size == '4')
											{
												max_height = 110;
											}
											orig_height = $curr_next_img.attr('data-height');
											orig_top_margin = Math.floor((max_height - orig_height.replace('px', '')) / 2);
											$curr_next_img.css('marginTop', orig_top_margin + 'px');
										}
										$curr_next_img.stop().animate({'width':orig_width,'height':orig_height,'rotate':'1080deg'},300);
										
									});
																	
								}
								break;	
							case 'zoomOut-zoomIn':
								if (advads171_freeze == false)
								{	
									$next.css({'width':'0px','height':'0px'}).show();
									$current.stop().animate({'width':'0px','height':'0px'},300,function(){
										$current.removeClass('ca_shown').hide();
										$next.addClass('ca_shown').stop().animate({'width':'100%','height':'100%'},300);
									});
								}
								break;
							case 'slideOutRight-slideInRight':
								if (advads171_freeze == false)
								{	
									$area.data('l',$area.css('left'));
									$area.stop().animate({'left': banner_width + 20 + 'px'},300,function(){
										$current.removeClass('ca_shown').hide();
										$next.addClass('ca_shown').show();
										$area.animate({'left': $area.data('l')},300,function(){		//);//try 'easeOutBack'
	
										if (o.banner_size == '2' && idx == 0 && $area.data('l') != '5px')
										{
											if (advads_debug) console.log('corrected 2 slide 0 from ' + $area.data('l') + ' to 5px');
											$area.css('left', '5px');
										}
										if (o.banner_size == '2' && idx == 1 && $area.data('l') != '246px')
										{
											if (advads_debug) console.log('corrected 2 slide 1 from ' + $area.data('l') + ' to 246px');
											$area.css('left', '246px');
										}
										if (o.banner_size == '2' && idx == 2 && $area.data('l') != '487px')
										{
											if (advads_debug) console.log('corrected 2 slide 2 from ' + $area.data('l') + ' to 487px');
											$area.css('left', '487px');
										}

										if (o.banner_size == '1' && idx == '0' && $area.data('l') != '5px')
										{
											if (advads_debug) console.log('corrected size 1 slide 0 from ' + $area.data('l') + ' to 5px');
											$area.css('left', '5px');
										}

										if (o.banner_size == '1' && idx == '1' && $area.data('l') != '236px')
										{
											if (advads_debug) console.log('corrected size 1 slide 1 from ' + $area.data('l') + ' to 236px');
											$area.css('left', '236px');
										}
										
										if ((o.banner_size == '3' || o.banner_size == '4' || o.banner_size == '5' || o.banner_size == '6') && $area.data('l') != '0px')
										{
											if (advads_debug) console.log('corrected size 3 slide 1 from ' + $area.data('l') + ' to 0px');
											$area.css('left', '0px');
										}
										
										if ((o.banner_size == '7' || o.banner_size == '8' || o.banner_size == '9') && $area.data('l') != '5px')
										{
											if (advads_debug) console.log('corrected size ' + o.banner_size + ' slide 1 from ' + $area.data('l') + ' to 0px');
											$area.css('left', '5px');
										}
										
										if (o.banner_size == '12' && idx == 0 && $area.data('l') != '5px')
										{
											if (advads_debug) console.log('corrected 12 slide 0 from ' + $area.data('l') + ' to 5px');
											$area.css('left', '5px');
										}
										if (o.banner_size == '12' && idx == 1 && $area.data('l') != '161px')
										{
											if (advads_debug) console.log('corrected 12 slide 1 from ' + $area.data('l') + ' to 161px');
											$area.css('left', '161px');
										}
										if (o.banner_size == '12' && idx == 2 && $area.data('l') != '317px')
										{
											if (advads_debug) console.log('corrected 12 slide 2 from ' + $area.data('l') + ' to 317px');
											$area.css('left', '317px');
										}

										$area.data('l',$area.css('left'));
										});
									});
								}
								break;	
							case 'slideOutLeft-slideInLeft':
								if (advads171_freeze == false)
								{	
									$area.data('l',$area.css('left'));
									$area.stop().animate({'left': 0-$area.width()-20 + 'px'},300,function(){
										$current.removeClass('ca_shown').hide();
										$next.addClass('ca_shown').show();
										$area.animate({'left': $area.data('l')},300, function () {

											if (o.banner_size == '2' && idx == 0 && $area.data('l') != '5px')
											{
												if (advads_debug) console.log('corrected 2 slide 0 from ' + $area.data('l') + ' to 5px');
												$area.css('left', '5px');
											}
											if (o.banner_size == '2' && idx == 1 && $area.data('l') != '246px')
											{
												if (advads_debug) console.log('corrected 2 slide 1 from ' + $area.data('l') + ' to 246px');
												$area.css('left', '246px');
											}
											if (o.banner_size == '2' && idx == 2 && $area.data('l') != '487px')
											{
												if (advads_debug) console.log('corrected 2 slide 2 from ' + $area.data('l') + ' to 487px');
												$area.css('left', '487px');
											}
											
											if (o.banner_size == '1' && idx == '0' && $area.data('l') != '5px')
											{
												if (advads_debug) console.log('corrected size 1 slide 0 from ' + $area.data('l') + ' to 5px');
												$area.css('left', '5px');
											}

											if (o.banner_size == '1' && idx == '1' && $area.data('l') != '236px')
											{
												if (advads_debug) console.log('corrected size 1 slide 1 from ' + $area.data('l') + ' to 236px');
												$area.css('left', '236px');
											}
											
											if ((o.banner_size == '3' || o.banner_size == '4' || o.banner_size == '5' || o.banner_size == '6') && $area.data('l') != '0px')
											{
												if (advads_debug) console.log('corrected size 3 slide 1 from ' + $area.data('l') + ' to 0px');
												$area.css('left', '0px');
											}
											
											if ((o.banner_size == '7' || o.banner_size == '8' || o.banner_size == '9') && $area.data('l') != '5px')
											{
												if (advads_debug) console.log('corrected size ' + o.banner_size + ' slide 1 from ' + $area.data('l') + ' to 0px');
												$area.css('left', '5px');
											}
											
											if (o.banner_size == '12' && idx == 0 && $area.data('l') != '5px')
											{
												if (advads_debug) console.log('corrected 12 slide 0 from ' + $area.data('l') + ' to 5px');
												$area.css('left', '5px');
											}
											if (o.banner_size == '12' && idx == 1 && $area.data('l') != '161px')
											{
												if (advads_debug) console.log('corrected 12 slide 1 from ' + $area.data('l') + ' to 161px');
												$area.css('left', '161px');
											}
											if (o.banner_size == '12' && idx == 2 && $area.data('l') != '317px')
											{
												if (advads_debug) console.log('corrected 12 slide 2 from ' + $area.data('l') + ' to 317px');
												$area.css('left', '317px');
											}

											$area.data('l',$area.css('left'));
										});
									});
								}
								break;
							case 'slideOutTop-slideInTop':
								if (advads171_freeze == false)
								{	
									$area.data('t',$area.css('top'));
									$area.stop().animate({'top': 0-$area.height()-20 + 'px'},300,function(){
										$current.removeClass('ca_shown').hide();
										$next.addClass('ca_shown').show();
										$area.animate({'top': $area.data('t')},300,'easeOutBounce', function () {
											
											if ((o.banner_size == '3' || o.banner_size == '4' || o.banner_size == '5' || o.banner_size == '6') && $area.data('t') != '0px')
											{
												$area.css('top', '0px');
											}
											
												});
									});
								}
								break;
							case 'slideOutBottom-slideInTop':
							
								if (advads171_freeze == false)
								{
									$area.data('t',$area.css('top'));									
									$area.stop().animate({'top': $area.height()+20 + 'px'},300,function(){										
										$area.css('top',0-$area.height()-20 + 'px');
										$current.removeClass('ca_shown').hide();
										$next.addClass('ca_shown').show();
										//$area.animate({'top': $area.data('t')},300,'easeOutBounce');
										$area.animate({'top': $area.data('t')},300,'easeOutBounce', function () {
											
											if ($area.data('t') != '5px')
											{
												$area.css('top', '5px');
											}
											
												});
									});
								}

								break;
							case 'slideOutBottom-slideInBottom':
							
								if (advads171_freeze == false)
								{								
								
									$area.data('t',$area.css('top'));	
									$area.stop().animate({'top': ($area.height() + 270) + 'px'},300,function(){
									$area.css('top',$area.height() + 270 + 'px');
									$current.removeClass('ca_shown').hide();
									$next.addClass('ca_shown').show();
									$area.animate({'top': $area.data('t')},300, function () {

									if ((o.banner_size == '4') && $area.data('t') != '155px')
									{
										if (advads_debug) console.log('corrected size 4 button slide from ' + $area.data('t') + ' to 155px');
										$area.css('top', '155px');
									}
									if ((o.banner_size == '3') && $area.data('t') != '205px')
									{
										if (advads_debug) console.log('corrected size 3 button slide from ' + $area.data('t') + ' to 205px');
										$area.css('top', '205px');
									}
									if ((o.banner_size == '5') && $area.data('t') != '230px')
									{
										if (advads_debug) console.log('corrected size 3 button slide from ' + $area.data('t') + ' to 205px');
										$area.css('top', '230px');
									}
									if ((o.banner_size == '6') && $area.data('t') != '205px')
									{
										if (advads_debug) console.log('corrected size 3 button slide from ' + $area.data('t') + ' to 205px');
										$area.css('top', '205px');
									}
									
									});
								});
								}

								break;
							case 'slideOutTop-slideInBottom':
								if (advads171_freeze == false)
								{	
									$area.data('t',$area.css('top'));
									
									$area.stop().animate({'top': 0-$area.height()-20 + 'px'},300,function(){
										$area.css('top',$area.height()+20 + 'px');
										$current.removeClass('ca_shown').hide();
										$next.addClass('ca_shown').show();
										$area.animate({'top': $area.data('t')},300,'easeOutBounce', function () {
											if ($area.data('t') != '5px')
											{
												$area.css('top', '5px');
											}
											
												});
									});
								}
								break;
							
							//Other possible effects:
							
							case 'fadeOut-fadeIn':
								if (advads171_freeze == false)
								{	
									$current.fadeOut(500,function(){
										$current.removeClass('ca_shown');
										$next.fadeIn(700,function(){$(this).addClass('ca_shown')});
									});
								}
								break;
							case 'fadeOut-zoomIn':
								if (advads171_freeze == false)
								{	
									$next.css({'width':'0px','height':'0px'}).show();
									$current.fadeOut(500,function(){
										$current.removeClass('ca_shown');
										$next.addClass('ca_shown').stop().animate({'width':'100%','height':'100%'},500);
									});
								}
								break;
								
							case 'zoomOut-fadeIn':
								if (advads171_freeze == false)
								{	
									$current.stop().animate({'width':'0px','height':'0px'},300,function(){
										$current.removeClass('ca_shown').hide();
										$next.fadeIn(700,function(){$(this).addClass('ca_shown')});
									});
								}
								break;
							/*
							etc...	
							*/		
							default:
								$current.removeClass('ca_shown').hide();
								$next.addClass('ca_shown').show();
						}
					}
						
				});
			},o.speed);
		});
	};
	$.fn.advads_banner.defaults = {
		steps   	: [],
		total_steps : 1,
		speed		: 5000	
	};	
})(jQuery);